Summary:	A font rendering library for OpenGL
Summary(ja):	OpenGL 用のフォントレンダリングライブラリ
Name:		ftgl
Version:	2.1.2
Release:	1%{?_dist_release}
License:	LGPL
Group:		System Environment/Libraries
URL:		http://homepages.paradise.net.nz/henryj/code/index.html#FTGL
Source:		http://opengl.geek.nz/ftgl/ftgl-%{version}.tar.bz2
Patch0:		ftgl-2.0.11-pkgconfig.patch
Patch1:		ftgl-2.1.2-gcc4.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	freetype2-devel, mesa-libGL-devel, freeglut-devel
BuildRequires:	pkgconfig
BuildRequires:	doxygen
Requires:	freetype2, mesa-libGL

Vendor:		Project Vine
Distribution:	Vine Linux

%description
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL applications. Unlike other OpenGL font libraries
FTGL uses standard font file formats so doesn't need a preprocessing step
to convert the high quality font data into a lesser quality, proprietary
format. FTGL uses the Freetype font library to open and 'decode' the fonts.
It then takes that output and stores it in a format most efficient for
OpenGL rendering.

Rendering modes supported are:
 * Bit maps
 * Anti aliased pix maps
 * Texture maps
 * Outlines
 * Polygon meshes
 * Extruded polygon meshes

%package devel
Summary:	Development files for FTGL
Summary(ja):	FTGL の開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	freetype2-devel, mesa-libGL-devel
Requires:	pkgconfig

%description devel
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL applications. Unlike other OpenGL font libraries
FTGL uses standard font file formats so doesn't need a preprocessing step
to convert the high quality font data into a lesser quality, proprietary
format. FTGL uses the Freetype font library to open and 'decode' the fonts.
It then takes that output and stores it in a format most efficient for
OpenGL rendering.

This package contains the libraries and header files necessary to develop
applications with FTGL.

%prep
%setup -q -n FTGL

%patch0 -p1 -b .pkgconfig
%patch1 -p1 -b .gcc

%{_bindir}/find . -type f -name "*.txt" -exec %__chmod 0644 "{}" \;

%build
pushd unix
%configure --enable-shared --disable-static
%__make
popd

%install
%__rm -rf %{buildroot}

pushd unix
%makeinstall
popd

# remove unneeded files
%__rm -f %{buildroot}%{_bindir}/FTGLDemo
%__rm -rf %{buildroot}%{_docdir}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING.txt HISTORY.txt README.txt license.txt
%{_libdir}/lib*.so.*

%files devel
%doc unix/README.txt unix/docs/html
%defattr(-,root,root)
%{_includedir}/FTGL
%{_libdir}/lib*.so
%exclude %{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Sep 14 2008 Shu KONNO <owa@bg.wakwak.com> 2.1.2-1vl5
- applied new versioning policy, spec in utf-8
- excluded lib*.la

* Thu Feb 08 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.2-0vl1
- initial build for Vine Linux

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdv2007.0
+ Revision: 113842
- Import ftgl

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdv2007.1
- fix build
- new version

* Wed Aug 23 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.11-5mdv2007.0
- fix correct usage of %%mklibname

* Tue Aug 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.11-4mdv2007.0
- rebuild for new xorg
- %%mkrel

* Sun Jan 08 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.0.11-3mdk
- Rebuild

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 2.0.11-2mdk
- Fix build (thx Stefan's bot)

* Thu Nov 04 2004 Abel Cheung <deaddog@mandrake.org> 2.0.11-1mdk
- First Mandrake package
- Patch0: Patch .pc file to use freetype2.pc
