%define beta 0

Name: kdeaddons
Version: 3.5.8
%if %{beta}
Release: 1%{beta}%{?_dist_release}
%else
Release: 1%{?_dist_release}
%endif
Summary: additional plugins and scripts for some KDE applications
%if %{beta}
Source: ftp://ftp.kde.org/pub/kde/unstable/%{version}-%{beta}/src/%{name}-%{version}-%{beta}.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
%endif
URL: http://www.kde.org/
Group: Applications/Other
License: GPL

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: qt-devel >= 3.3.2, arts-devel >= 1:1.5.0
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: kdebase-devel >= %{version}
BuildRequires: kdemultimedia-devel >= %{version}
BuildRequires: libxml2-devel >= 2.6.0
BuildRequires: libxslt-devel >= 1.0.18
BuildRequires: zlib-devel libjpeg-devel libpng-devel gettext
Requires: qt >= 3.3.2
Requires: arts >= 1:1.5.0
Requires: kdelibs >= %{version}
Requires: kdebase >= %{version}
Requires: kdemultimedia >= %{version}

%description
kdeaddons contains additional plugins and scripts for some KDE applications.

%prep
%setup -q

%build
export KDEDIR=%{_prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

./configure --prefix=%{_prefix} \
    --with-qt-libraries=$QTDIR/lib \
    --with-extra-includes=%{_includedir}/kde/arts \
    --with-xinerama \
    --enable-new-ldflags \
    --disable-dependency-tracking \
    --enable-final \
    --disable-rpath

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Make symlinks relative
cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $RPM_BUILD_ROOT/usr/share/doc/HTML/en/$i/common
		ln -sf ../common $RPM_BUILD_ROOT/usr/share/doc/HTML/en/$i
	fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_datadir}/doc/HTML/en/*
%{_bindir}/*
%{_libdir}/kde3/*
%{_datadir}/applications/*
%{_datadir}/applnk
%{_datadir}/apps/*
%config %{_datadir}/config/*
%{_datadir}/config.kcfg/*
%{_datadir}/icons/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*

%changelog
* Sun May 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy
- added BR: kdebase-devel
- changed Group to Applications/Other

* Mon Oct 29 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl2
- rebuild for VineSeed

* Mon Oct 29 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release

* Tue Aug 21 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl3
- rebuild with flac-1.2.0

* Wed Jul  4 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl2
- rebuild for VineSeed

* Sat Jun 30 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release

* Sun Oct 22 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.5-0vl3
- added --with-qt-libraries and --enable-libsuffix option

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl2
- rebuild for VineSeed

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release

* Wed Aug  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl2
- rebuild for VineSeed

* Wed Aug  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release

* Fri Jun  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl2
- rebuild for VineSeed

* Fri Jun  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Thu Mar 23 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl2
- rebuild for VineSeed

* Thu Mar 23 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl2
- rebuild for VineSeed

* Thu Nov 24 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Tue Nov 15 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- initial release for VineSeed
