%define beta 0

Name: kdewebdev
Version: 3.5.8
%if %{beta}
Release: 1%{beta}%{?_dist_release}
%else
Release: 1%{?_dist_release}
%endif
Summary: KDE WebDev - WEB Development package for the K Desktop Environment.
Summary: K デスクトップ環境向け WEB 開発パッケージ
%if %{beta}
Source: ftp://ftp.kde.org/pub/kde/unstable/%{version}-%{beta}/src/%{name}-%{version}-%{beta}.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
%endif
URL: http://www.kde.org/
Group: Applications/Development
License: GPL

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: qt-devel >= 3.3.2
BuildRequires: arts-devel >= 1:1.5.0
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: libxml2-devel >= 2.6.0
BuildRequires: libxslt-devel >= 1.0.18
BuildRequires: zlib-devel libjpeg-devel libpng-devel gettext
Requires: qt >= 3.3.2
Requires: arts >= 1:1.5.0
Requires: kdelibs >= %{version}

%description
The kdewebdev package contains Quanta Plus and other applications, 
which are useful for web development. They are runtime dependencies 
of Quanta Plus, and it is highly recommended that you install them.

The extra applications are:

Kommander (a GUI script builder and executor tool) 
KFileReplace (powerful search and replace in multiple files)
KXSLDbg (XSL debugger)
KImageMapEditor (image map editor)
KLinkStatus (link validity checker)

%package devel
Summary: Development files for kdewebdev
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for kdewebdev.

%prep
%setup -q

%build
export KDEDIR=%{_prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

CFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG" \
CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG -fno-check-new" \
./configure --prefix=%{_prefix} \
    --with-qt-libraries=$QTDIR/lib \
    --includedir=%{_includedir}/kde \
    --with-xinerama \
    --enable-new-ldflags \
    --disable-dependency-tracking \
    --enable-final \
    --disable-rpath

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Make symlinks relative
cd $RPM_BUILD_ROOT%{?_datadir}/doc/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/$i/common
		ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/$i
	fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_datadir}/doc/HTML/en/*
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/*.la
%{_libdir}/kde3/*
%{_datadir}/applications/*
%{_datadir}/applnk
%{_datadir}/apps/*
%{_datadir}/config.kcfg/*
%{_datadir}/icons/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*
%{_libdir}/*.so

%changelog
* Wed May 13 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy, spec in UTF-8
- added Japanese summary
- changed Group to Applictions/Development

* Sun Nov 25 2007 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.8-0vl3
- added --with-qt-libraries option

* Mon Oct 29 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl2
- rebuild for VineSeed

* Mon Oct 29 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release

* Wed Jun 27 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl2
- rebuild for VineSeed

* Tue Jun 26 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release
- added --enable-libsuffix option

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl2
- rebuild for VineSeed

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release

* Wed Aug  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl2
- rebuild for VineSeed

* Wed Aug  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release

* Wed May 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl2
- rebuild for VineSeed

* Wed May 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl2
- rebuild for VineSeed

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release

* Mon Feb  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl2
- rebuild for VineSeed

* Mon Feb  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl1
- new upstream release

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl2
- rebuild for VineSeed

* Mon Nov 28 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Tue Nov 15 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- new upstream release

* Tue Oct 18 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.92-0vl1
- new upstream release
- delete Patch0

* Thu Sep 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.91-0vl1
- new upstream release
- add Patch0

* Mon Jul 25 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl2
- rebuild for VineSeed

* Mon Jul 25 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl1
- new upstream release

* Mon Jul  4 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl2
- build for VineSeed
- add --disable-rpath to configure option

* Tue Jun  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl1
- new upstream release
- remove patch0

* Mon Apr 25 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl1
- initial release for VineSeed
