# select backend (GStreamer, xine)
#define build_gst	1
%define build_xine	1

# build browser plugins
%define build_plugin	%{!?_without_mozilla:1}%{?_without_mozilla:0}

# define versions
%define _glib_ver		2.20.0
%define _gtk_ver		2.16.0
%define _gnomevfs_ver		2.24.0
%define _gnomeui_ver		2.24.0
%define _gnomeicon_ver		2.26.0
%define _gnome_desktop_ver	2.26.0
%define _libgnome_ver		2.26.0
%define _gnome_doc_utils_ver	0.16.0
%define _dbus_ver		1.0
%define _hal_ver		0.5
%define _gst_ver		0.10.19
%define _gstpb_ver		0.10.7
%define _xine_ver		1.1.11.1
%define _gecko_ver		1.9
%define _nautilus_ver		2.26.0
%define _shared_mime_info_ver	0.17

%define nautilus_extdir %{_libdir}/nautilus/extensions-2.0
%define mozplug_dir %{_libdir}/mozilla/plugins

Summary:	Movie player for GNOME 2
Summary(ja):	GNOME2 用動画プレイヤー
Name:		totem
Version:	2.26.3
Release:	2%{?_dist_release}
License:	GPL
Group:		Applications/Multimedia
URL:		http://www.gnome.org/projects/totem/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/totem/2.26/totem-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Vendor:		Project Vine
Distribution:	Vine Linux

BuildRequires:	gtk2-devel >= %{_gtk_ver}, glib2-devel >= %{_glib_ver}
BuildRequires:	gnome-desktop-devel >= %{_gnome_desktop_ver}
BuildRequires:	gnome-vfs2-devel >= %{_gnomevfs_ver}
BuildRequires:	libgnomeui-devel >= %{_gnomeui_ver}
BuildRequires:	gnome-icon-theme >= %{_gnomeicon_ver}
BuildRequires:	libgnome-devel >= %{_libgnome_ver}
BuildRequires:	gnome-doc-utils >= %{_gnome_doc_utils_ver}
BuildRequires:	dbus-devel >= %{_dbus_ver}
BuildRequires:	hal-devel >= %{_hal_ver}
BuildRequires:	libmusicbrainz-devel
BuildRequires:	nautilus >= %{_nautilus_ver}
BuildRequires:	gettext, scrollkeeper
BuildRequires:	perl-XML-Parser
BuildRequires:	iso-codes
BuildRequires:	totem-pl-parser-devel
BuildRequires:  bluez-libs-devel >= 4.15
BuildRequires:  lirc

Requires: %{name}-common = %{version}-%{release}
Requires: %{name}-gstreamer = %{version}-%{release}

%if %{build_plugin}
BuildRequires:	gecko-devel >= %{_gecko_ver}
BuildRequires:	nautilus-devel >= %{_nautilus_ver}
BuildRequires:	shared-mime-info >= %{_shared_mime_info_ver}
%endif

%description
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.
This is virtual package to install totem common package and totem backend
package.

%package gstreamer
Summary:	GStramer backend for Totem
Summary(ja):	Totem 用 GStreamer バックエンド
Group:		Applications/Multimedia
Requires:	%{name}-common = %{version}-%{release}
Requires:	gstreamer >= %{_gst_ver}
Requires:	gstreamer-plugins-base >= %{_gstpb_ver}
BuildRequires:	gstreamer-devel >= %{_gst_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{_gstpb_ver}
BuildRequires:	gstreamer-plugins-good
Obsoletes:	%{name} < 1.0.2-0vl2, nautilus-media
Provides:	%{name} = %{version}-%{release}

Requires(post):   alternatives
Requires(postun): alternatives

%description gstreamer
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

%if %{build_xine}
%package xine
Summary:	Xine backend for Totem
Summary(ja):	Totem 用 Xine バックエンド
Group:		Applications/Multimedia
Requires:	%{name}-common = %{version}-%{release}
Requires:	xine-lib >= %{_xine_ver}
BuildRequires:	xine-lib-devel >= %{_xine_ver}
Obsoletes:	%{name} < 1.0.2-0vl2
Provides:	%{name} = %{version}-%{release}

Requires(post):   alternatives
Requires(postun): alternatives

%description xine
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.
%endif

%package common
Summary:	common files for Totem
Summary(ja):	Totem の共通ファイル
Group:		Applications/Multimedia
Requires:	gtk2 >= %{_gtk_ver}, glib2 >= %{_glib_ver}
Requires:	gnome-desktop-libs >= %{_gnome_desktop_ver}
Requires:	gnome-vfs2 >= %{_gnomevfs_ver}
Requires:	libgnomeui >= %{_gnomeui_ver}
Requires:	libgnome >= %{_libgnome_ver}
Requires:	dbus >= %{_dbus_ver}
Requires:	hal >= %{_hal_ver}
Requires:	iso-codes, libmusicbrainz
Conflicts:	%{name} < 1.0.2-0vl2

Requires(post):     ldconfig, scrollkeeper, desktop-file-utils, GConf2
Requires(postun):   ldconfig, scrollkeeper, desktop-file-utils, alternatives
Requires(preun):    GConf2
Requires(triggers): alternatives

%description common
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

This package contains common files for Totem (GStreamer/xine backend).

%if %{build_plugin}
%package mozilla
Summary:	Totem movie plugin for Mozilla
Summary(ja):	Mozilla 用 Totem 動画プラグイン
Group:		Applications/Internet
Requires:	%{name}-common = %{version}-%{release}
Obsoletes:	%{name}-mozilla-common
Obsoletes:	%{name}-mozilla-gstreamer
Obsoletes:	%{name}-mozilla-xine

Requires(post):   alternatives
Requires(postun): alternatives

%description mozilla
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

This package contains a Totem video plugin for Mozilla. It allows Totem
movie player to be embedded into a web browser.

%package tracker
Summary:	Tracker-based video search plugin for Totem
Summary(ja):	Tracker を使った Totem 用動画検索プラグイン
Group:		Applications/Multimedia
Requires:	%{name}-common = %{version}-%{release}
BuildRequires:	tracker-devel

%description tracker
A plugin to allow searching local videos, based on their tags, metadata,
or filenames, as indexing by the Tracker indexer.
%endif

%prep
%setup -q -c
# Whatever needs to be changed in both copies do here
## remember to update me when changing %doc
for i in AUTHORS COPYING ChangeLog NEWS README TODO;do
  cp totem-%{version}/$i .
done

# duplicate sources
cp -a totem-%{version} xine
mv totem-%{version} gstreamer

%build

# build Totem (GStreamer backend)
pushd gstreamer
DBUS_FATAL_WARNINGS=0 /usr/bin/gst-inspect-0.10 --print-all > /dev/null
export MOZILLA_PLUGINDIR=%{mozplug_dir}
%configure \
	--disable-lirc \
	--disable-vanity \
	--disable-nvtv \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--disable-xine \
	--enable-gstreamer \
%if %{build_plugin}
	--enable-browser-plugins \
	--enable-nautilus \
	--enable-mozilla \
	--with-mozilla=libxul \
	--enable-basic-plugin \
	--enable-gmp-plugin \
	--enable-complex-plugin \
	--enable-narrowspace-plugin \
	--enable-mully-plugin
%else
	--disable-browser-plugins
%endif
make %{?_smp_mflags}
popd

# build Totem (xine backend) 
%if %{build_xine}
pushd xine
export MOZILLA_PLUGINDIR=%{mozplug_dir}
%configure \
	--disable-lirc \
	--disable-vanity \
	--disable-nvtv \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--disable-gstreamer \
	--enable-xine \
	--disable-nautilus \
	--disable-mozilla \
	--disable-browser-plugins
cd src/backend/
make %{?_smp_mflags}
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

# install Totem (GStreamer backend)
pushd gstreamer/
make install DESTDIR=$RPM_BUILD_ROOT 
mv $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget.so.0.0.0 \
   $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0
# language hack
%find_lang %{name} --with-gnome
mv %{name}.lang ../
popd

# install Totem (xine backend)
%if %{build_xine}
pushd xine/src/backend/
make install DESTDIR=$RPM_BUILD_ROOT 
mv $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget.so.0.0.0 \
   $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget-xine.so.0.0.0
popd
%endif

# remove unneeded files
%__rm -f %{buildroot}%{_libdir}/totem/plugins/*/*.{a,la}
%__rm -f %{buildroot}%{_datadir}/pixmaps/vanity.png
%__rm -f %{buildroot}%{nautilus_extdir}/*.{a,la}
%__rm -f %{buildroot}%{mozplug_dir}/*.{a,la}
%__rm -f %{buildroot}%{_libdir}/libbaconvideowidget*.{a,la}
%__rm -f %{buildroot}%{_libdir}/libbaconvideowidget.so
%__rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache
%__rm -rf %{buildroot}%{_libdir}/totem/plugins/bemused/
 
%find_lang %{name} --with-gnome

%clean
%__rm -rf %{buildroot}

%post gstreamer
%{_syssbindir}/update-alternatives --install \
	%{_libdir}/libbaconvideowidget.so.0.0.0 totem \
        %{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0 10
/sbin/ldconfig

%postun gstreamer
[ "$1" = "1" ] && exit
%{_syssbindir}/update-alternatives --remove \
        totem %{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0
[ -f "%{_libdir}/libbaconvideowidget.so.0.0.0" ] || %{_syssbindir}/update-alternatives --auto totem
/sbin/ldconfig

%if %{build_xine}
%post xine
%{_syssbindir}/update-alternatives --install \
	%{_libdir}/libbaconvideowidget.so.0.0.0 totem \
        %{_libdir}/libbaconvideowidget-xine.so.0.0.0 15
/sbin/ldconfig

%postun xine
[ "$1" = "1" ] && exit
%{_syssbindir}/update-alternatives --remove \
        totem %{_libdir}/libbaconvideowidget-xine.so.0.0.0
[ -f "%{_libdir}/libbaconvideowidget.so.0.0.0" ] || %{_syssbindir}/update-alternatives --auto totem
/sbin/ldconfig
%endif

%post common
%{_bindir}/scrollkeeper-update -q
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
        %{_sysconfdir}/gconf/schemas/totem.schemas \
        %{_sysconfdir}/gconf/schemas/totem-handlers.schemas \
        %{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas \
    >& /dev/null || :
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre common
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/totem.schemas \
        %{_sysconfdir}/gconf/schemas/totem-handlers.schemas \
        %{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas \
	>& /dev/null || :
fi

%preun common
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/totem.schemas \
        %{_sysconfdir}/gconf/schemas/totem-handlers.schemas \
        %{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas \
 >& /dev/null || :
fi

%postun common
%{_bindir}/scrollkeeper-update -q
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
[ -f "%{_bindir}/totem" ] || %{_syssbindir}/update-alternatives --auto totem

%triggerpostun common -- %{name} < 1.0.2-0vl2
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
for schema in totem totem-video-thumbnail totem-handlers ; do
	%{_bindir}/gconftool-2 --makefile-install-rule \
		%{_sysconfdir}/gconf/schemas/${schema}.schemas > /dev/null ||:
done
[ -f "%{_bindir}/totem" ] || %{_syssbindir}/update-alternatives --auto totem


%files

%files gstreamer
%defattr(-,root,root,-)
%{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0

%if %{build_xine}
%files xine
%defattr(-,root,root,-)
%{_libdir}/libbaconvideowidget-xine.so.0.0.0
%endif

%files common -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/totem
%{_bindir}/totem-audio-preview
%{_bindir}/totem-video-indexer
%{_bindir}/totem-video-thumbnailer
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*/*/apps/*
%{_datadir}/icons/*/*/devices/*
%{_datadir}/%{name}
%{_datadir}/gtk-doc/html/totem
%dir %{_libdir}/totem
%dir %{_libdir}/totem/plugins
%{_libdir}/totem/plugins/brasero-disc-recorder
%{_libdir}/totem/plugins/coherence_upnp
%{_libdir}/totem/plugins/gromit
%{_libdir}/totem/plugins/jamendo
%{_libdir}/totem/plugins/lirc
%{_libdir}/totem/plugins/media-player-keys
%{_libdir}/totem/plugins/ontop
%{_libdir}/totem/plugins/opensubtitles
%{_libdir}/totem/plugins/properties
%{_libdir}/totem/plugins/pythonconsole
%{_libdir}/totem/plugins/screensaver
%{_libdir}/totem/plugins/screenshot
%{_libdir}/totem/plugins/skipto
%{_libdir}/totem/plugins/thumbnail
%{_libdir}/totem/plugins/youtube
%{_libdir}/totem/plugins/totem
%if %{build_plugin}
%{_libdir}/nautilus/extensions-2.0/*.so*
%endif
%{_libdir}/libbaconvideowidget.so*
%{_libexecdir}/%{name}/totem-bugreport.py
%{_mandir}/man1/*

%if %{build_plugin}
%files mozilla
%defattr(-,root,root,-)
%{mozplug_dir}/*
%{_libexecdir}/totem-plugin-viewer

%files tracker
%defattr(-, root, root)
%{_libdir}/totem/plugins/tracker
%endif

%changelog
* Mon Jul 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-2
- remove unneeded autoreconf
- add BR: lirc

* Thu Jul 02 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Wed Jul 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-2
- remove bemused plugin

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Thu Apr 30 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.26.1-2
- added tracker video search sub-package

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Fri Mar 20 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.3-2
- remove libxine dependency from totem-common
- build xine backend with minimum dependency

* Thu Oct 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.2-3
- add BR: bluez-libs-devel >= 4.15
- fix typo in %%postun xine

* Thu Oct 23 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.24.2-2
- rebuild with bluez-libs-devel-4.15

* Sat Oct 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.2-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Mon Jul 21 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22.2-1
- new upstream release
- add patch1 to build with xulrunner-1.9

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Mon Apr  7 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release
- disabled devel package (replaced by totem-pl-parser-devel)

* Sat Aug 11 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 2.18.2-0vl1
- new upstream release
- update version macros
- enable browser plugins on x86_64

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release

* Sun Mar 25 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.16.6-0vl1
- upstream release
- drop obsolete ja.po.patch (patch0)
- revert change of 1.4.4-0vl2

* Wed Jan 31 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.16.5-0vl1
- upstream release
- enable browser plugins (exclude x86_64 arch)

* Fri Dec 01 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.16.4-0vl1
- upstream release

* Mon Nov 27 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.16.3-0vl3
- update configure options
- add -mozilla-{gstreamer,xine,common} sub-packages (disabled by default)

* Sat Nov 25 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.16.3-0vl2
- fix mistranslation (patch0)
- add icon symlink
- add BuildRequires: gstreamer-plugins-good

* Fri Nov 24 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.16.3-0vl1
- upstream release
- update %%_glib_ver, %%_xine_ver
- add BuildRequires: hal
- update %%configure options
- update %%files

* Wed Sep 13 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.5-0vl1
- upstream release

* Fri Sep 08 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.4-0vl2
- fix macro name (%%gnome_desktop_ver -> %%gnomedesktop_ver)

* Mon Aug 07 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.4-0vl1
- upstream release
- drop obsolete patch0

* Sun Jul 16 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.3-0vl1
- upstream release
- add patch0 to build with intltool-0.35

* Sun Jun 25 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.2-0vl1
- upstream release

* Thu May 18 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.1-0vl1
- upstream release
- update alternatives entry

* Tue Mar 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.0-0vl1
- upstream release
- drop fix-sort-function.patch (was merged to upstream, #331426)

* Wed Mar 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.91-0vl2
- rebuild with gnome-2.14rc

* Tue Feb 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.91-0vl1
- upstream release
- add macros
  - _gtk_ver, _glib_ver
  - _gnomevfs_ver, _gnomeui_ver, _gnomeicon_ver, _gnome_desktop_ver
  - _dbus_ver
  - _gst_ver, gstpb_ver, _xine_ver
- add fix-sort-function.patch to build with glib < 2.9.1

* Sat Jan 21 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.1-0vl1
- upstream release
- add BuildRequires:
  - gtk2-devel >= 2.5.6, glib2-devel >= 2.6.3
  - gnome-vfs2-devel >= 2.9.92
  - dbus-devel >= 0.35
- use gstreamer-0.10 as backend for totem-gstreamer

* Sat Jan 21 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.1-0vl2
- use gstreamer08 instead of gstreamer

* Sat Dec 31 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.1-0vl1
- upstream release

* Sun Oct 09 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.0-0vl2
- fix missing links
  - update file list
  - update update-alternatives scripts
- fix totem-gstreamer's %%postun script

* Wed Sep 21 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.0-0vl1
- upstream release
- add BuildRequires: iso-codes, libmusicbrainz-devel
- add Requires: iso-codes, libmusicbrains to -common package
- remove BuildRequires: nautilus-cd-burner
- remove Requires: nautilus-cd-burner from -common package

* Wed Aug 03 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.4-0vl2
- totem-gstreamer obsoletes nautilus-media

* Thu Jun 23 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.4-0vl1
- upstream release
- add Requires(post,postun): alternatives for gstreamer,xine
- add Requires(postun,triggers): alternatives for common

* Mon May 30 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.3-0vl1
- upstream release

* Sun May 08 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.2-0vl2
- build xine backend
  - move common files to common package
  - move GStreamer related files to gstreamer package
  - install xine related files to xine package
- fix scripts

* Sun May 01 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.2-0vl1
- upstream release
- update URL
- move *.{a,la} to devel package

* Mon Apr 04 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.1-1vl1
- fix %%{post,preun} script (video-thumbnail.schemas)
- sync with Fedora Core's 1.0.1-1

  * Tue Feb 29 2005 John (J5) Palmieri <johnp@redhat.com> - 1.0.1-1
  - Update to upstream version 1.0.1
  - Break out devel package

* Thu Mar 31 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.101-4uvl2
- add %%{post,pre}un script

* Wed Mar 30 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.101-4uvl1
- initial build for Vine Linux

* Mon Feb 21 2005 Bill Nottingham <notting@redhat.com> - 0.101-4
- fix %%post

* Wed Feb  2 2005 Matthias Clasen <mclasen@redhat.com> - 0.101-3
- Obsolete nautilus-media
- Install property page and thumbnailer

* Wed Feb  2 2005 Matthias Clasen <mclasen@redhat.com> - 0.101-2
- Update to 0.101
 
* Mon Jan 03 2005 Colin Walters <walters@redhat.com> - 0.100-2
- Grab patch totem-0.100-desktopfile.patch from CVS to fix
  missing menu entry (144088)
- Remove workaround for desktop file being misinstalled, fixed
  by above patch

* Mon Jan 03 2005 Colin Walters <walters@redhat.com> - 0.100-1
- New upstream version 0.100

* Sun Dec  5 2004 Bill Nottingham <notting@redhat.com> - 0.99.22-1
- update to 0.99.22

* Thu Oct 28 2004 Colin Walters <walters@redhat.com> - 0.99.19-2
- Add patch to remove removed items from package from help

* Thu Oct 14 2004 Colin Walters <walters@redhat.com> - 0.99.19-1
- New upstream 0.99.19
  - Fixes crasher with CD playback (see NEWS)

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 0.99.18-2
- Call update-desktop-database in post

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 0.99.18-1
- update to 0.99.18

* Wed Oct  6 2004 Alexander Larsson <alexl@redhat.com> - 
- Initial version, based on specfile by Matthias Saou <http://freshrpms.net/>

